import configparser

def load(filename):
	"""Populate the config variables"""
	global port, ssl, url_prefix, outside_host, outside_port
	global site_name
	global database_file

	config = configparser.ConfigParser()
	config.read(filename)

	port = int(config['server']['port'])
	ssl = {'yes': True, 'no': False}[config['server']['ssl']]
	url_prefix = config['server']['url_prefix']
	outside_host = config['server']['outside_host']
	outside_port = config['server']['outside_port']

	site_name = config['site']['name']

	database_file = config['files']['database']
